// formato.cpp - Aplicar formato a la salida
#include <iostream>
#include <iomanip>
using namespace std;

int main()
{
  int a = 12345;
  float b = 54.865F;
  cout << a << endl; // escribe 12345\n
  cout << '\n' << setw(10) << "abc" << setw(10) << "abcdef" << endl;
  cout << left;      // se activa el ajuste a la izquierda
  cout << '\n' << setw(10) << "abc" << setw(10) << "abcdef" << endl;
  cout << endl;      // avanza a la siguiente línea
  cout << right;     // se vuelve al ajuste por la derecha

  // Se activa el formato de coma flotante con dos decimales
  cout << fixed << setprecision(2);
  cout << setw(15) << b << endl; // escribe b con dos decimales
  cout << setw(15) << b/10 << endl;
}

